ReadOnlyFolderException (JavaMail API documentation)
Date: 2018-10-22

javax.mail

## Class ReadOnlyFolderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.ReadOnlyFolderException

- All Implemented Interfaces:
    java.io.Serializable

      public class ReadOnlyFolderException
      extends MessagingException

  This exception is thrown when an attempt is made to open a folder read-write access when the folder is marked read-only.

  The getMessage() method returns more detailed information about the error that caused this exception.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyFolderException(Folder folder)` Constructs a ReadOnlyFolderException with the specified folder and no detail message.
    `ReadOnlyFolderException(Folder folder, java.lang.String message)` Constructs a ReadOnlyFolderException with the specified detail message.
    `ReadOnlyFolderException(Folder folder, java.lang.String message, java.lang.Exception e)` Constructs a ReadOnlyFolderException with the specified detail message and embedded exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Folder` | `getFolder()` Returns the dead Folder object.

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyFolderException

          public ReadOnlyFolderException(Folder folder)

      Constructs a ReadOnlyFolderException with the specified folder and no detail message.
      Parameters:
        `folder` - the Folder
      Since:
        JavaMail 1.2

    - #### ReadOnlyFolderException

          public ReadOnlyFolderException(Folder folder,
                                         java.lang.String message)

      Constructs a ReadOnlyFolderException with the specified detail message.
      Parameters:
        `folder` - The Folder
        `message` - The detailed error message
      Since:
        JavaMail 1.2

    - #### ReadOnlyFolderException

          public ReadOnlyFolderException(Folder folder,
                                         java.lang.String message,
                                         java.lang.Exception e)

      Constructs a ReadOnlyFolderException with the specified detail message and embedded exception. The exception is chained to this exception.
      Parameters:
        `folder` - The Folder
        `message` - The detailed error message
        `e` - The embedded exception
      Since:
        JavaMail 1.5

  - ### Method Detail

    - #### getFolder

          public Folder getFolder()

      Returns the dead Folder object.
      Since:
        JavaMail 1.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.